// priority: 0


ServerEvents.recipes(event => {

    const seconds = 20

    // greg_g_base
    event.recipes.gtceu.fusion_assembler('kubejs:kubejs/greg_g_base')
        .notConsumable('gtceu:gear_casting_mold')
        .itemInputs('2x gtceu:uv_field_generator')
        .inputFluids(Fluid.of('gtceu:tritanium', 12960))
        .itemOutputs('kubejs:greg_g_base')
        .duration(600)
        .EUt(GTValues.VA[GTValues.UHV])

    // elicitor_rimae_ignotus
    event.recipes.gtceu.fusion_assembler('kubejs:kubejs/elicitor_rimae_ignotus')
        .itemInputs('1x kubejs:ignota_casing')
        .itemInputs('4x gtceu:ruthenium_trinium_americium_neutronate_hex_wire')
        .itemInputs('16x #gtceu:circuits/uhv')
        .itemInputs('16x gtceu:uv_sensor')
        .itemInputs('16x gtceu:uv_emitter')
        .itemInputs('8x kubejs:greg_g_base')
        .itemInputs('64x gtceu:highly_advanced_soc')
        .itemInputs('12x #forge:double_plates/materia_ignota')
        .itemInputs('64x #forge:bolts/neutronium')
        .itemInputs('64x #forge:bolts/neutronium')
        .inputFluids(Fluid.of('gtceu:polybenzimidazole', 1296))
        .inputFluids(Fluid.of('gtceu:helium_plasma', 1000))
        .inputFluids(Fluid.of('gtceu:argon_plasma', 1000))
        .itemOutputs('gtceu:elicitor_rimae_ignotus')
        .duration(1200)
        .EUt(GTValues.VA[GTValues.UHV])

    // cryo_stable_casing
    event.recipes.gtceu.fusion_assembler('kubejs:kubejs/cryo_stable_casing')
        .itemInputs('6x #forge:plates/titanobarium_electrotine')
        .itemInputs('1x #forge:frames/titanobarium_electrotine')
        .inputFluids(Fluid.of('gtceu:hyperconcentrated_helium', 250))
        .itemOutputs('kubejs:cryo_stable_casing')
        .duration(20 * seconds)
        .EUt(GTValues.VA[GTValues.UHV])
        .addMaterialInfo(true)


    // *************************** //
    // ***** FUSION REACTORS ***** //
    // *************************** //

    // luv_fusion_reactor
    event.recipes.gtceu.fusion_assembler('kubejs:gtceu/luv_fusion_reactor')
        .itemInputs('1x gtceu:superconducting_coil')
        .itemInputs('2x #gtceu:circuits/zpm')
        .itemInputs('1x #forge:double_plates/plutonium_241')
        .itemInputs('1x #forge:double_plates/osmiridium')
        .itemInputs('1x gtceu:iv_field_generator')
        .itemInputs('32x gtceu:uhpic_chip')
        .itemInputs('16x gtceu:indium_tin_barium_titanium_cuprate_single_wire')
        .inputFluids(Fluid.of('gtceu:soldering_alloy', 1152))
        .inputFluids(Fluid.of('gtceu:niobium_titanium', 1152))
        .itemOutputs('1x gtceu:luv_fusion_reactor')
        .duration(40 * seconds)
        .EUt(GTValues.VA[GTValues.ZPM])

    // zpm_fusion_reactor
    event.recipes.gtceu.fusion_assembler('kubejs:gtceu/zpm_fusion_reactor')
        .itemInputs('1x gtceu:fusion_coil')
        .itemInputs('2x #gtceu:circuits/uv')
        .itemInputs('1x #forge:double_plates/naquadria')
        .itemInputs('1x #forge:double_plates/europium')
        .itemInputs('1x gtceu:luv_field_generator')
        .itemInputs('48x gtceu:uhpic_chip')
        .itemInputs('16x gtceu:uranium_rhodium_dinaquadide_single_wire')
        .inputFluids(Fluid.of('gtceu:soldering_alloy', 1152))
        .inputFluids(Fluid.of('gtceu:vanadium_gallium', 1152))
        .itemOutputs('1x gtceu:zpm_fusion_reactor')
        .duration(50 * seconds)
        .EUt(GTValues.VA[GTValues.UV])


    // ************************* //
    // ***** UV COMPONENTS ***** //
    // ************************* //

    // uv_electric_motor
    event.recipes.gtceu.fusion_assembler('kubejs:gtceu/uv_electric_motor')
        .itemInputs('1x #forge:rods/long/magnetic_samarium')
        .itemInputs('4x #forge:rods/long/tritanium')
        .itemInputs('4x #forge:rings/tritanium')
        .itemInputs('8x #forge:rounds/tritanium')
        .itemInputs('64x #forge:fine_wires/americium')
        .itemInputs('64x #forge:fine_wires/americium')
        .itemInputs('2x gtceu:yttrium_barium_cuprate_single_cable')
        .inputFluids(Fluid.of('gtceu:soldering_alloy', 576))
        .inputFluids(Fluid.of('gtceu:lubricant', 1000))
        .inputFluids(Fluid.of('gtceu:naquadria', 576))
        .itemOutputs('2x gtceu:uv_electric_motor')
        .duration(30 * seconds)
        .EUt(GTValues.VA[GTValues.UV])

    // uv_electric_pump
    event.recipes.gtceu.fusion_assembler('kubejs:gtceu/uv_electric_pump')
        .itemInputs('1x gtceu:uv_electric_motor')
        .itemInputs('1x gtceu:naquadah_large_fluid_pipe')
        .itemInputs('2x #forge:plates/tritanium')
        .itemInputs('8x #forge:screws/tritanium')
        .itemInputs('16x #forge:rings/silicone_rubber')
        .itemInputs('1x #forge:rotors/naquadah_alloy')
        .itemInputs('2x gtceu:yttrium_barium_cuprate_single_cable')
        .inputFluids(Fluid.of('gtceu:soldering_alloy', 576))
        .inputFluids(Fluid.of('gtceu:lubricant', 1000))
        .inputFluids(Fluid.of('gtceu:naquadria', 576))
        .itemOutputs('2x gtceu:uv_electric_pump')
        .duration(30 * seconds)
        .EUt(GTValues.VA[GTValues.UV])

    // uv_conveyor_module
    event.recipes.gtceu.fusion_assembler('kubejs:gtceu/uv_conveyor_module')
        .itemInputs('2x gtceu:uv_electric_motor')
        .itemInputs('2x #forge:plates/tritanium')
        .itemInputs('4x #forge:rings/tritanium')
        .itemInputs('16x #forge:rounds/tritanium')
        .itemInputs('4x #forge:screws/tritanium')
        .itemInputs('2x gtceu:yttrium_barium_cuprate_single_cable')
        .inputFluids(Fluid.of('gtceu:soldering_alloy', 576))
        .inputFluids(Fluid.of('gtceu:lubricant', 1000))
        .inputFluids(Fluid.of('gtceu:styrene_butadiene_rubber', 3456))
        .inputFluids(Fluid.of('gtceu:naquadria', 576))
        .itemOutputs('2x gtceu:uv_conveyor_module')
        .duration(30 * seconds)
        .EUt(GTValues.VA[GTValues.UV])

    // uv_electric_piston
    event.recipes.gtceu.fusion_assembler('kubejs:gtceu/uv_electric_piston')
        .itemInputs('1x gtceu:uv_electric_motor')
        .itemInputs('4x #forge:plates/tritanium')
        .itemInputs('4x #forge:rings/tritanium')
        .itemInputs('16x #forge:rounds/tritanium')
        .itemInputs('4x #forge:rods/tritanium')
        .itemInputs('1x #forge:gears/naquadah_alloy')
        .itemInputs('2x #forge:small_gears/naquadah_alloy')
        .itemInputs('2x gtceu:yttrium_barium_cuprate_single_cable')
        .inputFluids(Fluid.of('gtceu:soldering_alloy', 576))
        .inputFluids(Fluid.of('gtceu:lubricant', 1000))
        .inputFluids(Fluid.of('gtceu:naquadria', 576))
        .itemOutputs('2x gtceu:uv_electric_piston')
        .duration(30 * seconds)
        .EUt(GTValues.VA[GTValues.UV])

    // uv_robot_arm
    event.recipes.gtceu.fusion_assembler('kubejs:gtceu/uv_robot_arm')
        .itemInputs('4x #forge:rods/long/tritanium')
        .itemInputs('1x #forge:gears/tritanium')
        .itemInputs('3x #forge:small_gears/tritanium')
        .itemInputs('2x gtceu:uv_electric_motor')
        .itemInputs('1x gtceu:uv_electric_piston')
        .itemInputs('1x #gtceu:circuits/uv')
        .itemInputs('2x #gtceu:circuits/zpm')
        .itemInputs('4x #gtceu:circuits/luv')
        .itemInputs('4x gtceu:yttrium_barium_cuprate_single_cable')
        .inputFluids(Fluid.of('gtceu:soldering_alloy', 1728))
        .inputFluids(Fluid.of('gtceu:lubricant', 1000))
        .inputFluids(Fluid.of('gtceu:naquadria', 576))
        .itemOutputs('2x gtceu:uv_robot_arm')
        .duration(30 * seconds)
        .EUt(GTValues.VA[GTValues.UV])

    // uv_field_generator
    event.recipes.gtceu.fusion_assembler('kubejs:gtceu/uv_field_generator')
        .itemInputs('1x #forge:frames/tritanium')
        .itemInputs('6x #forge:plates/tritanium')
        .itemInputs('1x gtceu:gravi_star')
        .itemInputs('2x gtceu:uv_emitter')
        .itemInputs('2x #gtceu:circuits/uv')
        .itemInputs('64x #forge:fine_wires/enriched_naquadah_trinium_europium_duranide')
        .itemInputs('64x #forge:fine_wires/enriched_naquadah_trinium_europium_duranide')
        .itemInputs('4x gtceu:yttrium_barium_cuprate_single_cable')
        .inputFluids(Fluid.of('gtceu:soldering_alloy', 1728))
        .inputFluids(Fluid.of('gtceu:naquadria', 576))
        .itemOutputs('2x gtceu:uv_field_generator')
        .duration(30 * seconds)
        .EUt(GTValues.VA[GTValues.UV])

    // uv_emitter
    event.recipes.gtceu.fusion_assembler('kubejs:gtceu/uv_emitter')
        .itemInputs('1x #forge:frames/tritanium')
        .itemInputs('1x gtceu:uv_electric_motor')
        .itemInputs('4x #forge:rods/long/tritanium')
        .itemInputs('1x gtceu:gravi_star')
        .itemInputs('2x #gtceu:circuits/uv')
        .itemInputs('64x #forge:foils/naquadria')
        .itemInputs('32x #forge:foils/naquadria')
        .itemInputs('4x gtceu:yttrium_barium_cuprate_single_cable')
        .inputFluids(Fluid.of('gtceu:soldering_alloy', 1152))
        .inputFluids(Fluid.of('gtceu:naquadria', 576))
        .itemOutputs('2x gtceu:uv_emitter')
        .duration(30 * seconds)
        .EUt(GTValues.VA[GTValues.UV])

    // uv_sensor
    event.recipes.gtceu.fusion_assembler('kubejs:gtceu/uv_sensor')
        .itemInputs('1x #forge:frames/tritanium')
        .itemInputs('1x gtceu:uv_electric_motor')
        .itemInputs('4x #forge:plates/tritanium')
        .itemInputs('1x gtceu:gravi_star')
        .itemInputs('2x #gtceu:circuits/uv')
        .itemInputs('64x #forge:foils/naquadria')
        .itemInputs('32x #forge:foils/naquadria')
        .itemInputs('4x gtceu:yttrium_barium_cuprate_single_cable')
        .inputFluids(Fluid.of('gtceu:soldering_alloy', 1152))
        .inputFluids(Fluid.of('gtceu:naquadria', 576))
        .itemOutputs('2x gtceu:uv_sensor')
        .duration(30 * seconds)
        .EUt(GTValues.VA[GTValues.UV])


    // ************************** //
    // ***** ZPM COMPONENTS ***** //
    // ************************** //

    // zpm_electric_motor
    event.recipes.gtceu.fusion_assembler('kubejs:gtceu/zpm_electric_motor')
        .itemInputs('1x #forge:rods/long/magnetic_samarium')
        .itemInputs('4x #forge:rods/long/osmiridium')
        .itemInputs('4x #forge:rings/osmiridium')
        .itemInputs('8x #forge:rounds/osmiridium')
        .itemInputs('64x #forge:fine_wires/europium')
        .itemInputs('32x #forge:fine_wires/europium')
        .itemInputs('2x gtceu:vanadium_gallium_single_cable')
        .inputFluids(Fluid.of('gtceu:soldering_alloy', 288))
        .inputFluids(Fluid.of('gtceu:lubricant', 500))
        .itemOutputs('2x gtceu:zpm_electric_motor')
        .duration(30 * seconds)
        .EUt(GTValues.VA[GTValues.ZPM])

    // zpm_electric_pump
    event.recipes.gtceu.fusion_assembler('kubejs:gtceu/zpm_electric_pump')
        .itemInputs('1x gtceu:zpm_electric_motor')
        .itemInputs('1x gtceu:polybenzimidazole_normal_fluid_pipe')
        .itemInputs('2x #forge:plates/osmiridium')
        .itemInputs('8x #forge:screws/osmiridium')
        .itemInputs('8x #forge:rings/silicone_rubber')
        .itemInputs('1x #forge:rotors/osmiridium')
        .itemInputs('2x gtceu:vanadium_gallium_single_cable')
        .inputFluids(Fluid.of('gtceu:soldering_alloy', 288))
        .inputFluids(Fluid.of('gtceu:lubricant', 500))
        .itemOutputs('2x gtceu:zpm_electric_pump')
        .duration(30 * seconds)
        .EUt(GTValues.VA[GTValues.ZPM])

    // zpm_conveyor_module
    event.recipes.gtceu.fusion_assembler('kubejs:gtceu/zpm_conveyor_module')
        .itemInputs('2x gtceu:zpm_electric_motor')
        .itemInputs('2x #forge:plates/osmiridium')
        .itemInputs('4x #forge:rings/osmiridium')
        .itemInputs('16x #forge:rounds/osmiridium')
        .itemInputs('4x #forge:screws/osmiridium')
        .itemInputs('2x gtceu:vanadium_gallium_single_cable')
        .inputFluids(Fluid.of('gtceu:soldering_alloy', 288))
        .inputFluids(Fluid.of('gtceu:lubricant', 500))
        .inputFluids(Fluid.of('gtceu:styrene_butadiene_rubber', 2304))
        .itemOutputs('2x gtceu:zpm_conveyor_module')
        .duration(30 * seconds)
        .EUt(GTValues.VA[GTValues.ZPM])

    // zpm_electric_piston
    event.recipes.gtceu.fusion_assembler('kubejs:gtceu/zpm_electric_piston')
        .itemInputs('1x gtceu:zpm_electric_motor')
        .itemInputs('4x #forge:plates/osmiridium')
        .itemInputs('4x #forge:rings/osmiridium')
        .itemInputs('16x #forge:rounds/osmiridium')
        .itemInputs('4x #forge:rods/osmiridium')
        .itemInputs('1x #forge:gears/osmiridium')
        .itemInputs('2x #forge:small_gears/osmiridium')
        .itemInputs('2x gtceu:vanadium_gallium_single_cable')
        .inputFluids(Fluid.of('gtceu:soldering_alloy', 288))
        .inputFluids(Fluid.of('gtceu:lubricant', 500))
        .itemOutputs('2x gtceu:zpm_electric_piston')
        .duration(30 * seconds)
        .EUt(GTValues.VA[GTValues.ZPM])

    // zpm_robot_arm
    event.recipes.gtceu.fusion_assembler('kubejs:gtceu/zpm_robot_arm')
        .itemInputs('4x #forge:rods/long/osmiridium')
        .itemInputs('1x #forge:gears/osmiridium')
        .itemInputs('3x #forge:small_gears/osmiridium')
        .itemInputs('2x gtceu:zpm_electric_motor')
        .itemInputs('1x gtceu:zpm_electric_piston')
        .itemInputs('1x #gtceu:circuits/zpm')
        .itemInputs('2x #gtceu:circuits/luv')
        .itemInputs('4x #gtceu:circuits/iv')
        .itemInputs('4x gtceu:vanadium_gallium_single_cable')
        .inputFluids(Fluid.of('gtceu:soldering_alloy', 1152))
        .inputFluids(Fluid.of('gtceu:lubricant', 500))
        .itemOutputs('2x gtceu:zpm_robot_arm')
        .duration(30 * seconds)
        .EUt(GTValues.VA[GTValues.ZPM])

    // zpm_field_generator
    event.recipes.gtceu.fusion_assembler('kubejs:gtceu/zpm_field_generator')
        .itemInputs('1x #forge:frames/naquadah_alloy')
        .itemInputs('6x #forge:plates/naquadah_alloy')
        .itemInputs('1x gtceu:quantum_star')
        .itemInputs('2x gtceu:zpm_emitter')
        .itemInputs('2x #gtceu:circuits/zpm')
        .itemInputs('64x #forge:fine_wires/uranium_rhodium_dinaquadide')
        .itemInputs('64x #forge:fine_wires/uranium_rhodium_dinaquadide')
        .itemInputs('4x gtceu:vanadium_gallium_single_cable')
        .inputFluids(Fluid.of('gtceu:soldering_alloy', 1152))
        .itemOutputs('2x gtceu:zpm_field_generator')
        .duration(30 * seconds)
        .EUt(GTValues.VA[GTValues.ZPM])

    // zpm_emitter
    event.recipes.gtceu.fusion_assembler('kubejs:gtceu/zpm_emitter')
        .itemInputs('1x #forge:frames/naquadah_alloy')
        .itemInputs('1x gtceu:zpm_electric_motor')
        .itemInputs('4x #forge:rods/long/osmiridium')
        .itemInputs('2x gtceu:quantum_star')
        .itemInputs('2x #gtceu:circuits/zpm')
        .itemInputs('64x #forge:foils/trinium')
        .itemInputs('32x #forge:foils/trinium')
        .itemInputs('4x gtceu:vanadium_gallium_single_cable')
        .inputFluids(Fluid.of('gtceu:soldering_alloy', 576))
        .itemOutputs('2x gtceu:zpm_emitter')
        .duration(30 * seconds)
        .EUt(GTValues.VA[GTValues.ZPM])

    // zpm_sensor
    event.recipes.gtceu.fusion_assembler('kubejs:gtceu/zpm_sensor')
        .itemInputs('1x #forge:frames/naquadah_alloy')
        .itemInputs('1x gtceu:zpm_electric_motor')
        .itemInputs('4x #forge:plates/osmiridium')
        .itemInputs('2x gtceu:quantum_star')
        .itemInputs('2x #gtceu:circuits/zpm')
        .itemInputs('64x #forge:foils/trinium')
        .itemInputs('32x #forge:foils/trinium')
        .itemInputs('4x gtceu:vanadium_gallium_single_cable')
        .inputFluids(Fluid.of('gtceu:soldering_alloy', 576))
        .itemOutputs('2x gtceu:zpm_sensor')
        .duration(30 * seconds)
        .EUt(GTValues.VA[GTValues.ZPM])

    // ************************** //
    // ***** LUV COMPONENTS ***** //
    // ************************** //

    // luv_electric_motor
    event.recipes.gtceu.fusion_assembler('kubejs:gtceu/luv_electric_motor')
        .itemInputs('1x #forge:rods/long/magnetic_samarium')
        .itemInputs('2x #forge:rods/long/hsss')
        .itemInputs('2x #forge:rings/hsss')
        .itemInputs('4x #forge:rounds/hsss')
        .itemInputs('64x #forge:fine_wires/ruridit')
        .itemInputs('2x gtceu:niobium_titanium_single_cable')
        .inputFluids(Fluid.of('gtceu:soldering_alloy', 144))
        .inputFluids(Fluid.of('gtceu:lubricant', 250))
        .itemOutputs('2x gtceu:luv_electric_motor')
        .duration(30 * seconds)
        .EUt(GTValues.VA[GTValues.LuV])

    // luv_electric_pump
    event.recipes.gtceu.fusion_assembler('kubejs:gtceu/luv_electric_pump')
        .itemInputs('1x gtceu:luv_electric_motor')
        .itemInputs('1x gtceu:niobium_titanium_small_fluid_pipe')
        .itemInputs('2x #forge:plates/hsss')
        .itemInputs('8x #forge:screws/hsss')
        .itemInputs('4x #forge:rings/silicone_rubber')
        .itemInputs('1x #forge:rotors/hsss')
        .itemInputs('2x gtceu:niobium_titanium_single_cable')
        .inputFluids(Fluid.of('gtceu:soldering_alloy', 144))
        .inputFluids(Fluid.of('gtceu:lubricant', 250))
        .itemOutputs('2x gtceu:luv_electric_pump')
        .duration(30 * seconds)
        .EUt(GTValues.VA[GTValues.LuV])

    // luv_conveyor_module
    event.recipes.gtceu.fusion_assembler('kubejs:gtceu/luv_conveyor_module')
        .itemInputs('2x gtceu:luv_electric_motor')
        .itemInputs('2x #forge:plates/hsss')
        .itemInputs('4x #forge:rings/hsss')
        .itemInputs('16x #forge:rounds/hsss')
        .itemInputs('4x #forge:screws/hsss')
        .itemInputs('2x gtceu:niobium_titanium_single_cable')
        .inputFluids(Fluid.of('gtceu:soldering_alloy', 144))
        .inputFluids(Fluid.of('gtceu:lubricant', 250))
        .inputFluids(Fluid.of('gtceu:styrene_butadiene_rubber', 1152))
        .itemOutputs('2x gtceu:luv_conveyor_module')
        .duration(30 * seconds)
        .EUt(GTValues.VA[GTValues.LuV])

    // luv_electric_piston
    event.recipes.gtceu.fusion_assembler('kubejs:gtceu/luv_electric_piston')
        .itemInputs('1x gtceu:luv_electric_motor')
        .itemInputs('4x #forge:plates/hsss')
        .itemInputs('4x #forge:rings/hsss')
        .itemInputs('16x #forge:rounds/hsss')
        .itemInputs('4x #forge:rods/hsss')
        .itemInputs('1x #forge:gears/hsss')
        .itemInputs('2x #forge:small_gears/hsss')
        .itemInputs('2x gtceu:niobium_titanium_single_cable')
        .inputFluids(Fluid.of('gtceu:soldering_alloy', 144))
        .inputFluids(Fluid.of('gtceu:lubricant', 250))
        .itemOutputs('2x gtceu:luv_electric_piston')
        .duration(30 * seconds)
        .EUt(GTValues.VA[GTValues.LuV])

    // luv_robot_arm
    event.recipes.gtceu.fusion_assembler('kubejs:gtceu/luv_robot_arm')
        .itemInputs('4x #forge:rods/long/hsss')
        .itemInputs('1x #forge:gears/hsss')
        .itemInputs('3x #forge:small_gears/hsss')
        .itemInputs('2x gtceu:luv_electric_motor')
        .itemInputs('1x gtceu:luv_electric_piston')
        .itemInputs('1x #gtceu:circuits/luv')
        .itemInputs('2x #gtceu:circuits/iv')
        .itemInputs('4x #gtceu:circuits/ev')
        .itemInputs('4x gtceu:niobium_titanium_single_cable')
        .inputFluids(Fluid.of('gtceu:soldering_alloy', 576))
        .inputFluids(Fluid.of('gtceu:lubricant', 250))
        .itemOutputs('2x gtceu:luv_robot_arm')
        .duration(30 * seconds)
        .EUt(GTValues.VA[GTValues.LuV])

    // luv_field_generator
    event.recipes.gtceu.fusion_assembler('kubejs:gtceu/luv_field_generator')
        .itemInputs('1x #forge:frames/hsss')
        .itemInputs('6x #forge:plates/hsss')
        .itemInputs('1x gtceu:quantum_star')
        .itemInputs('2x gtceu:luv_emitter')
        .itemInputs('2x #gtceu:circuits/luv')
        .itemInputs('64x #forge:fine_wires/indium_tin_barium_titanium_cuprate')
        .itemInputs('64x #forge:fine_wires/indium_tin_barium_titanium_cuprate')
        .itemInputs('4x gtceu:niobium_titanium_single_cable')
        .inputFluids(Fluid.of('gtceu:soldering_alloy', 576))
        .itemOutputs('2x gtceu:luv_field_generator')
        .duration(30 * seconds)
        .EUt(GTValues.VA[GTValues.LuV])

    // luv_emitter
    event.recipes.gtceu.fusion_assembler('kubejs:gtceu/luv_emitter')
        .itemInputs('1x #forge:frames/hsss')
        .itemInputs('1x gtceu:luv_electric_motor')
        .itemInputs('4x #forge:rods/long/ruridit')
        .itemInputs('1x gtceu:quantum_star')
        .itemInputs('2x #gtceu:circuits/luv')
        .itemInputs('64x #forge:foils/palladium')
        .itemInputs('32x #forge:foils/palladium')
        .itemInputs('4x gtceu:niobium_titanium_single_cable')
        .inputFluids(Fluid.of('gtceu:soldering_alloy', 288))
        .itemOutputs('2x gtceu:luv_emitter')
        .duration(30 * seconds)
        .EUt(GTValues.VA[GTValues.LuV])

    // luv_sensor
    event.recipes.gtceu.fusion_assembler('kubejs:gtceu/luv_sensor')
        .itemInputs('1x #forge:frames/hsss')
        .itemInputs('1x gtceu:luv_electric_motor')
        .itemInputs('4x #forge:plates/ruridit')
        .itemInputs('1x gtceu:quantum_star')
        .itemInputs('2x #gtceu:circuits/luv')
        .itemInputs('64x #forge:foils/palladium')
        .itemInputs('32x #forge:foils/palladium')
        .itemInputs('4x gtceu:niobium_titanium_single_cable')
        .inputFluids(Fluid.of('gtceu:soldering_alloy', 288))
        .itemOutputs('2x gtceu:luv_sensor')
        .duration(30 * seconds)
        .EUt(GTValues.VA[GTValues.LuV])


    // fin //

})